Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]
Groups > linux.kernel > #1732204
| From | naresh.kamboju@linaro.org |
|---|---|
| Newsgroups | linux.kernel |
| Subject | [PATCH] selftests: intel_pstate: compile programs if executable not found |
| Date | 2017-09-14 13:00 +0200 |
| Message-ID | <upA2f-3WF-31@gated-at.bofh.it> (permalink) |
| Organization | linux.* mail to news gateway |
From: Naresh Kamboju <naresh.kamboju@linaro.org>
Test exit due to aperf.c: No such file or directory
./run.sh
gcc: error: aperf.c: No such file or directory
Problem compiling aperf.c.
The Makefile installs executable programs "aperf" and "msr"
so skip compile on target.
Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>
---
tools/testing/selftests/intel_pstate/run.sh | 15 ++++++++++-----
1 file changed, 10 insertions(+), 5 deletions(-)
diff --git a/tools/testing/selftests/intel_pstate/run.sh b/tools/testing/selftests/intel_pstate/run.sh
index 7868c106b8b1..2149b9b5876a 100755
--- a/tools/testing/selftests/intel_pstate/run.sh
+++ b/tools/testing/selftests/intel_pstate/run.sh
@@ -31,11 +31,16 @@ EVALUATE_ONLY=0
max_cpus=$(($(nproc)-1))
-# compile programs
-gcc aperf.c -Wall -D_GNU_SOURCE -o aperf -lm
-[ $? -ne 0 ] && echo "Problem compiling aperf.c." && exit 1
-gcc -o msr msr.c -lm
-[ $? -ne 0 ] && echo "Problem compiling msr.c." && exit 1
+# Compile programs if executable not found
+if [ ! -x aperf ]; then
+ gcc aperf.c -Wall -D_GNU_SOURCE -o aperf -lm
+ [ $? -ne 0 ] && echo "Problem compiling aperf.c." && exit 1
+fi
+
+if [ ! -x msr ]; then
+ gcc -o msr msr.c -lm
+ [ $? -ne 0 ] && echo "Problem compiling msr.c." && exit 1
+fi
function run_test () {
--
2.13.0
Back to linux.kernel | Previous | Next — Next in thread | Find similar | Unroll thread
[PATCH] selftests: intel_pstate: compile programs if executable not found naresh.kamboju@linaro.org - 2017-09-14 13:00 +0200
Re: [PATCH] selftests: intel_pstate: compile programs if executable not found Shuah Khan <shuahkh@osg.samsung.com> - 2017-09-14 16:50 +0200
Re: [PATCH] selftests: intel_pstate: compile programs if executable not found Shuah Khan <shuahkh@osg.samsung.com> - 2017-09-14 16:50 +0200
csiph-web